%global gem_name rdiscount
Name:           rubygem-rdiscount
Version:        2.2.0.1
Release:        4
Summary:        Converts documents in Markdown syntax to HTML
License:        ASL 1.1
URL:            http://github.com/rtomayko/rdiscount
Source0:        http://rubygems.org/gems/rdiscount-%{version}.gem
# The patch used to modify test failed
Patch0:         rdiscount_test.rb.patch
BuildRequires:  rubygems-devel ruby-devel libmarkdown-devel rubygem(test-unit)

%description
The package converts documents in Markdown syntax to HTML.
It uses the excellent Discount processor by David Loren Parsons for this purpose.

%package        help
Summary:        Documentation for rubygem-rdiscount
BuildArch:      noarch
Requires:       rubygem-rdiscount = %{version}-%{release}
Provides:       rubygem-rdiscount-doc = %{version}-%{release}
Obsoletes:      rubygem-rdiscount-doc < %{version}-%{release}

%description    help
This package contains documentation for rubygem-rdiscount.


%prep
gem unpack %{SOURCE0}
%autosetup  -D -T -n  rdiscount-%{version} -p0
gem spec %{SOURCE0} -l --ruby | sed -e 's|,|,\n|g' > rdiscount.gemspec
(cd ext; ls -1 *.c *.h | grep -v rdiscount.c ) > discount_files

cat discount_files | while read f ;
do
rm -f ext/$f
sed -i rdiscount.gemspec -e "\@ext/$f@d"
done

sed -i ext/extconf.rb -e '\@create_makefile@i \$libs = "-lmarkdown"' \
%{nil}

%build
rm -rf ./%{gem_extdir_mri} ./%{gem_instdir}
gem build rdiscount.gemspec
%gem_install

%install
rm -rf %{buildroot}
install -d %{buildroot}%{gem_dir}
install -d %{buildroot}%{_mandir}/man1
install -d %{buildroot}%{_mandir}/man7
mv .%{gem_instdir}/man/rdiscount.1 %{buildroot}%{_mandir}/man1
mv .%{gem_instdir}/man/markdown.7 %{buildroot}%{_mandir}/man7
cp -a .%{gem_dir}/*  %{buildroot}%{gem_dir}

rm -rf %{buildroot}%{gem_instdir}/ext
install -d %{buildroot}%{gem_extdir_mri}
install -D .%{gem_extdir_mri}/{gem.build_complete,*.so} %{buildroot}%{gem_extdir_mri}/

install -d %{buildroot}/%{_bindir}
mv .%{_bindir}/* %{buildroot}/%{_bindir}

%check
cd .%{gem_instdir}
ruby -Ilib:ext:. -e 'gem "test-unit" ; Dir.glob("test/*_test.rb").sort.each {|f| require f}'
cd -

%files
%{_bindir}/rdiscount
%dir %{gem_instdir}
%{gem_instdir}/bin/
%{gem_libdir}/
%{gem_spec}
%{gem_extdir_mri}/
%exclude %{gem_cache}


%files help
%doc %{gem_instdir}/Rakefile
%doc %{gem_instdir}/BUILDING
%doc %{gem_instdir}/COPYING
%doc %{gem_instdir}/README.markdown
%{gem_docdir}
%{gem_instdir}/man
%{gem_instdir}/test
%{_mandir}/man1/rdiscount.1.gz
%{gem_instdir}/rdiscount.gemspec
%exclude %{_mandir}/man7/markdown.7.gz


%changelog
* Sat Mar 14 2020 zhujunhao <zhujunhao5@huawei.com> - 2.2.0.1-4
- Package init
